Summary:        Prelude Hybrid Intrusion Detection System - Network Sensor
Name:           prelude-nids
Version:        0.8.5
Release:        alt4.1
License:        GPL
Group:          Networking/Other
URL:            http://www.prelude-ids.org/

Source:		http://www.prelude-ids.org/download/releases/%name-%version.tar.gz
Source99:  	%name

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Thu May 13 2004
BuildRequires: flex gcc-c++ libprelude-devel libssl-devel libstdc++-devel

Requires:	libprelude >= 0.8.4
Requires:	libssl


%description
Prelude NIDS is the network-based sensor program part of the Prelude
Hybrid IDS suite. It provides network monitoring with fast pattern
matching (Boyer-Moore) to detect attacks against a network. It
includes advanced mechanisms such as a generic signature engine which
is able to understand any ruleset as long as there is a dedicated
parser, protocol and detection analysis plugins featuring Telnet, RPC,
HTTP, and FTP decoding and preprocessors for cross-platform
polymorphic shellcodes detection, ARP misuse detection, and scanning
detection.  It supports IP fragmentation and TCP segmentation to track
connections and detect stateful events.

%description -l uk_UA.KOI8-U
Prelude NIDS Ѥ       
Prelude Hybrid IDS.  դ Φ ֦ ڦ 
   (  ʤ-)   
.      Ԧ Φ ˦ 
  ,   ͦ -˦ ,
   Φ צצ    
Ц, ̦ ̦  Ǧ-̦,  
˦   Telnet, RPC, HTTP  FTP, ̦ 
 ͦ  shellcodes, Цͦ ARP- 
.  Ц IP-æ  TCP-æ
'   stateful Ħ.

%description -l ru_RU.KOI8-R
Prelude NIDS --        Prelude
Hybrid IDS.        
 (  -)    . 
         
,     , 
 ,    , 
  -,     
Telnet, RPC, HTTP  FTP,    
 shellcodes,  ARP-  . 
 IP-  TCP-  
 stateful .

%package devel
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version

%if_enabled static
%package devel-static
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version
Requires: %name-devel
%endif

%description devel
Prelude NIDS is the network-based sensor program part of the Prelude
Hybrid IDS suite. It provides network monitoring with fast pattern
matching (Boyer-Moore) to detect attacks against a network.

This package contains headers files, requires for build own plugins
for Prelude NIDS.

Install this package if you want to communication with Prelude NIDS.

%description -l uk_UA.KOI8-U devel
Prelude NIDS Ѥ       
Prelude Hybrid IDS.  դ Φ ֦ ڦ 
   (  ʤ-)   
.

  ͦ  ¦  ˦, ˦ ȦΦ 
  ǦΦ  Prelude NIDS.

צ  ,     Φ Ǧ 
Prelude NIDS.

%description -l ru_RU.KOI8-R devel
Prelude NIDS --        Prelude
Hybrid IDS.        
 (  -)    .

       
   Prelude NIDS

  ,       
Prelude NIDS.

%if_enabled static
%description devel-static
Prelude NIDS is the network-based sensor program part of the Prelude
Hybrid IDS suite. It provides network monitoring with fast pattern
matching (Boyer-Moore) to detect attacks against a network.

This package contains statically builded libraries for Prelude NIDS.

%description -l uk_UA.KOI8-U devel-static
Prelude NIDS Ѥ       
Prelude Hybrid IDS.  դ Φ ֦ ڦ 
   (  ʤ-)   
.

  ͦ  ¦ Φ  ¦̦ Prelude NIDS.

%description -l ru_RU.KOI8-R devel-static
Prelude NIDS --        Prelude
Hybrid IDS.        
 (  -)    .

      Prelude NIDS.
%endif

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}

%__aclocal
%__autoconf
%configure %{subst_enable static} \
	--localstatedir=%_var \
	--sysconfdir=%_sysconfdir/prelude \
	--prefix=%_usr 
	
%make

%install
%__mkdir_p $RPM_BUILD_ROOT
%make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
%__mkdir_p $RPM_BUILD_ROOT/%_initdir
%__install -m 755 %SOURCE99 $RPM_BUILD_ROOT/%_initdir/
%__mkdir_p $RPM_BUILD_ROOT/%_sysconfdir/sysconfig
%__cat > $RPM_BUILD_ROOT/%_sysconfdir/sysconfig/%name <<EOF
# Additional command line parameters for %name:
#
OPTIONS=""
EOF

%files
%doc AUTHORS ChangeLog README INSTALL
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_initdir/%name
%_bindir/%name
%_libdir/%name/detects/*.so
%_libdir/%name/protocols/*.so
%if_enabled static
%_libdir/%name/detects/*.a
%_libdir/%name/protocols/*.a
%endif
%config(noreplace) %_sysconfdir/prelude/%name/*
%_man8dir/*

%files devel
%_includedir/%name/*.h

%if_enabled static
%files devel-static
%_libdir/%name/detects/*.la
%_libdir/%name/protocols/*.la
%endif

%changelog
* Thu May 13 2004 Serge A. Volkov <vserge@altlinux.ru> 0.8.5-alt4.1
- Rebuild with openssl-0.9.7d
- Remove configure option "--enable-gtk-doc"

* Mon Feb  2 2004 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt3
- Minor fixes for Sisyphus
- Add initscript
- Add additional sysconfig file

* Thu Nov  6 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt2
- Minor fixes in dependencies

* Wed Nov  5 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt1
- New release

* Sun Oct 12 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.8.4-alt2
- Minor fixes in spec

* Wed Oct 08 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.4-alt1
- New release

* Sun May 18 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.1-alt1
- Initial build based on original spec-file
